Lisp

[LISP] 문자의 z값을 읽어 문자 좌측하단에 Z값을 가지는 포인트 찍기

홍사훈     0건     531회

첨부파일

본문

문자의 z값을 읽어 문자 좌측하단에 Z값을 가지는 포인트 찍기 (드래그 해서 전체 선택 가능)

(defun c:aa(/ ss k ed po num npo os)

(prompt "\nZ 문자값을 읽어 문자 좌측하단에 포인트찍기")

(setq os (getvar "osmode"))

(setq ss (ssget (list (cons 0 "text"))))

(setq k 0)

(setvar "osmode" 0)

(repeat (sslength ss)

  (setq ed (entget (ssname ss k)))

  (setq po (cdr (assoc 10 ed)))

  (setq num (atof (cdr (assoc 1 ed))))

  (setq npo (list (car po) (cadr po) num))

  (entmod (subst (cons 10 npo) (assoc 10 ed) ed))

  (command "point" npo)

  (setq k (1+ k))

)

(setvar "osmode" os)

(princ)

)

등록된 댓글이 없습니다.



Copyrightⓡ1996~2017, sahoon.com All Rights Reserved.